﻿// -----------------------------------------------------------------------
// <copyright file="IInsertIntoTable.cs" company="Project Contributors">
// Copyright Project Contributors
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//    http://www.apache.org/licenses/LICENSE-2.0
//
// </copyright>
// -----------------------------------------------------------------------
using System;

namespace MicroLite.Builder.Syntax.Write
{
    /// <summary>
    /// The interface which specifies the into method in the fluent insert sql builder syntax.
    /// </summary>
    public interface IInsertIntoTable
    {
        /// <summary>
        /// Specifies the table to perform the query against.
        /// </summary>
        /// <param name="table">The name of the table.</param>
        /// <returns>The next step in the fluent sql builder.</returns>
        IInsertColumn Into(string table);

        /// <summary>
        /// Specifies the type to perform the query against.
        /// </summary>
        /// <param name="forType">The type of object the query relates to.</param>
        /// <returns>The next step in the fluent sql builder.</returns>
        IInsertColumn Into(Type forType);
    }
}
